.studio-block {
    width: 100%;
}
.studio-block__list {}
.studio-block__item-wrapper {}
.studio-block__item {
    display: flex;
    flex-wrap: wrap;
    row-gap: 16px;
    padding: 12px 10px;
    background: var(--color-dark);
    border-radius: var(--radius-md);
    position: relative;
    height: 100%;
}
.studio-block__name {
    flex: 0 0 100%;
    max-width: calc(100% - 40px);
    font-weight: 500;
    font-size: 15px;
    line-height: 1.07;
    color: var(--color-white);
}
.studio-block__img-wrapper {
    flex: 0 0 auto;
    width: 36px;
    height: 36px;
    position: relative;
    border-radius: var(--radius-sm);
    overflow: hidden;
}
.studio-block__img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-position: center center;
    object-fit: contain;
}
.studio-block__rating {
    flex: 0 0 100%;
    display: flex;
    align-items: center;
    gap: 8px;
}
.studio-block__badge-wrapper {
    display: flex;
    align-items: center;
    gap: 5px;
    border-left: 1px solid var(--color-grey);
    padding-left: 8px;
}
.studio-block__badge {
    max-height: 10px;
    width: auto;
}
.studio-block__info {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 6px;
    flex: 0 0 100%;
    font-weight: 400;
    font-size: 12px;
    line-height: 1.2;
    color: var(--color-grey);
}
.studio-block__info-item {
    position: relative;
}
.studio-block__info-item_icon_marker,
.studio-block__info-item_icon_time,
.studio-block__info-item_icon_phone {
    padding-left: 20px;
}
.studio-block__info-item_icon_marker:before,
.studio-block__info-item_icon_time:before,
.studio-block__info-item_icon_phone:before {
    font-family: var(--icons);
    font-size: 12px;
    line-height: 1;
    font-style: normal;
    font-weight: normal;
    position: absolute;
    left: 0;
    top: 0.1em;
    color: var(--color-grey-light);
}
.studio-block__info-item_icon_marker:before {
    content: "\e905";
}
.studio-block__info-item_icon_time:before {
    content: "\e908";
}
.studio-block__info-item_icon_phone:before {
    content: "\e906";
}
a.studio-block__info-item,
.studio-block__info-item a {
    color: var(--color-grey);
    text-decoration: none;
}
a.studio-block__info-item:hover,
.studio-block__info-item a:hover {
    color: var(--color-primary);
}
.studio-block__option {
    flex: 0 0 100%;
    position: static;
}
.studio-block__stroke {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: var(--radius-md);
    border: 2px solid var(--color-primary);
    opacity: 0;
    pointer-events: none;
}
.studio-block__option .option-btn__control:checked ~ .studio-block__stroke {
    opacity: 1;
}
@media screen and (max-width: 767px) {
    .studio-block__rating .rating-block {
        width: 60px;
    }
    .studio-block__rating .rating-block__line::before,
    .studio-block__rating .rating-block::before {
        font-size: 12px;
    }
}
@media screen and (min-width: 768px) {
    .studio-block__item {
        display: grid;
        grid-template-areas:
            "studioName studioImg" 
            "studioInfo studioImg" 
            "studioRating studioOption";
        grid-template-columns: auto 100px;
        grid-gap: 16px;
    }
    .studio-block__name {
        font-size: 19px;
        grid-area: studioName;
    }
    .studio-block__img-wrapper {
        width: 100px;
        height: 100px;
        grid-area: studioImg;
    }
    .studio-block__rating {
        gap: 12px;
    }
    .studio-block__rating:after {
        width: 108px;
        height: 17px;
    }
    .studio-block__badge-wrapper {
        gap: 15px;
        padding-left: 20px;
    }
    .studio-block__badge {
        max-height: 17px;
    }
    .studio-block__info {
        font-size: 14px;
        grid-area: studioInfo;
    }
    .studio-block__info-item_icon_marker,
    .studio-block__info-item_icon_time,
    .studio-block__info-item_icon_phone {
        padding-left: 24px;
    }
    .studio-block__info-item_icon_marker:before,
    .studio-block__info-item_icon_time:before,
    .studio-block__info-item_icon_phone:before {
        font-size: 14px;
    }
    .studio-block__rating {
        grid-area: studioRating;
    }
    .studio-block__option {
        grid-area: studioOption;
    }
}